GETPEERNAME(2)

NAME
getpeername - get the name/address of the connected peer.

SYNOPSIS
#include <sys/socket.h>
int getpeername(int sd, struct sockaddr * addr, socklen_t * addr_len);

DESCRIPTION
getpeername() takes a connected socket sd and fills in addr with the name/address of the connected peer.

RETURN VALUES
On success, this function returns 0. On error, -1 is returned and errno is set.

ERRORS

[ENOSYS]
    The operation is not implemented for the given socket.

[ENOTCONN]
    The socket is not connected; there is no peer.

SEE ALSO
socket(2), getsockname(2)